pages: # the job must be named pages
  image: node:18-slim
  stage: deploy
  script:
    - npm ci
    - npm run build
    - mv public public-vue
    - mv dist public
    - cp public/index.html public/404.html # 讓 GitLab 一律回傳 404.html 頁面，解決 router 導致 404 問題
    - find public -type f -regex '.*\.\(htm\|html\|txt\|text\|js\|css\)$' -exec gzip -f -k {} \;
  cache:
    paths:
    - node_modules
  artifacts:
    paths:
      - public # artifact path must be /public for GitLab Pages to pick it up
  only:
    - main
